Index: /extensions/ContactForm/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 7101)
+++ /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 7102)
@@ -24,4 +24,5 @@
 $lang['cf_message'] = 'Message';
 $lang['cf_submit'] = 'Send';
+$lang['title_send_mail'] = 'A comment on the site';
 
 // ==================================================================
Index: /extensions/ContactForm/language/sk_SK/description.txt
===================================================================
--- /extensions/ContactForm/language/sk_SK/description.txt	(revision 7102)
+++ /extensions/ContactForm/language/sk_SK/description.txt	(revision 7102)
@@ -0,0 +1,1 @@
+Pridať "Kontakt" položku do menu na ponúknutie kontaktného formulára na používateľov
Index: /extensions/ContactForm/language/sk_SK/index.php
===================================================================
--- /extensions/ContactForm/language/sk_SK/index.php	(revision 7102)
+++ /extensions/ContactForm/language/sk_SK/index.php	(revision 7102)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ContactForm/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 7102)
+++ /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 7102)
@@ -0,0 +1,92 @@
+<?php
+/* $Id$ */
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $lang;
+
+$lang['cf_plugin_name'] = 'Kontaktný formulár';
+$lang['contact_form_debug'] = 'Zobrazenie opravených informácií';
+
+// ==================================================================
+// Default values if not configured
+$lang['contact_form_title'] = 'Kontaktný formulár';
+$lang['contact_form'] = 'Kontakt';
+$lang['contact_form_link'] = 'Kontaktovanie webmastera';
+
+// ==================================================================
+// Redirect page
+$lang['contact_redirect_title'] = 'Poslať stav správy';
+
+// ==================================================================
+// Menubar block
+$lang['cf_from_name'] = 'Vaše meno';
+$lang['cf_from_mail'] = 'Váš e-mail';
+$lang['cf_subject'] = 'Predmet';
+$lang['cf_message'] = 'Správa';
+$lang['cf_submit'] = 'Poslať';
+
+// ==================================================================
+// Messages
+$lang['cf_from_name_error'] = 'Prosím zadajte meno';
+$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_subject_error'] = 'Prosím zadajte predmet';
+$lang['cf_message_error'] = 'Prosím zadajte správu';
+$lang['cf_error_sending_mail'] = 'Chyba počas posielania e-mailu';
+$lang['cf_sending_mail_successful'] = 'E-mail bol úspešne odoslaný';
+$lang['cf_form_error'] = 'Neplatné údaje';
+$lang['cf_inconsistent_version'] = '%s: Nezhodné čísla verzií';
+$lang['cf_no_unlink'] = 'Funkcia \'unlink\' nie je prístupná...';
+$lang['cf_unlink_errors'] = 'Vyskytla sa chyba v priebehu mazania súboru';
+$lang['cf_config_saved'] = 'Konfigurácia bola úspešne uložená';
+$lang['cf_config_saved_with_errors'] = 'Konfigurácia uložená s chybami';
+$lang['cf_length_not_integer'] = 'Veľkosť musí byť celé číslo';
+$lang['cf_delay_not_integer'] = 'Odklad musí byť celé číslo';
+$lang['cf_link_error'] = 'Parameter nesmie obsahovať medzeru';
+$lang['cf_hide'] = 'Schovať';
+
+// ==================================================================
+// Admin page
+$lang['cf_validate'] = 'Doručiť';
+// Configuration tab
+$lang['cf_tab_config'] = 'Konfigurácia';
+$lang['cf_config'] = 'Konfigurácia';
+$lang['cf_config_desc'] = 'Konfigurácia pluginu';
+$lang['cf_label_config'] = 'Hlavná konfigurácia';
+$lang['cf_label_mail'] = 'Konfigurácia e-mailu';
+$lang['cf_menu_link'] = 'Pridať link do menu';
+$lang['cf_guest_allowed'] = 'Povoliť hosťom vidieť formulár';
+$lang['cf_mail_prefix'] = 'Predpona predmetu poslaného e-mailu';
+$lang['cf_separator'] = 'Znak(y) použité na definovanie oddelenia stĺpca v maili v textovom formáte';
+$lang['cf_separator_length'] = 'Veľkosť stĺpca';
+$lang['cf_mandatory_name'] = 'Meno je povinné';
+$lang['cf_mandatory_mail'] = 'E-mailová adresa je povinná';
+$lang['cf_redirect_delay'] = 'Dĺžka pauzy pri presmerovaní';
+$lang['cf_label_link'] = 'Manažment linku (mimo menu)';
+$lang['cf_define_link'] = 'Definovanie linku';
+$lang['cf_link'] = 'Názov šablónových premenných obsahujúcich HTML linky na kontaktný formulár';
+// Emails tab
+$lang['cf_tab_emails'] = 'E-maily';
+$lang['cf_emails'] = 'E-maily';
+$lang['cf_emails_desc'] = 'Cieľový manažment e-mailov';
+$lang['cf_active'] = 'Actívny e-mail';
+$lang['cf_no_mail'] = 'E-mailová adresa nie je dostupná';
+$lang['cf_refresh'] = 'Obnoviť zoznam e-mailých adries';
+// Language tab
+$lang['cf_tab_language'] = 'Lokalizácia';
+$lang['cf_language'] = 'Lokalizácia';
+$lang['cf_language_desc'] = 'Preklad správ';
+$lang['cf_select_item'] = 'Označenie položiek na preklad';
+$lang['cf_default_lang'] = 'Predvolené';
+$lang['contact_form_title_label'] = 'Názov použitý v menu';
+$lang['contact_form_label'] = 'Názov použitý v menu';
+$lang['contact_form_link_label'] = 'Text použitý na kontaktný link v päte stránky';
+// History tab
+$lang['cf_tab_history'] = 'História';
+$lang['cf_history'] = 'History';
+$lang['cf_history_desc'] = 'Zmeny histórie';
+$lang['cf_history_date'] = 'Dátum';
+$lang['cf_history_version'] = 'Verzia';
+$lang['cf_history_log'] = 'Zmeny';
+$lang['cf_file_not_found'] = 'Súbor nenájdený';
+$lang['cf_file_empty'] = 'Súbor je prázdny';
+$lang['cf_format_date'] = '%D %M, %Y';
+?>