Index: /branches/2.1/language/sk_SK/install.lang.php
===================================================================
--- /branches/2.1/language/sk_SK/install.lang.php	(revision 7104)
+++ /branches/2.1/language/sk_SK/install.lang.php	(revision 7105)
@@ -37,5 +37,5 @@
 
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Spojenie na server sa podarilo, ale nebolo možné pripojiť databázu';
-$lang['Can\'t connect to server'] = 'Nebolo možné se pripojiť k serveru';
+$lang['Can\'t connect to server'] = 'Nebolo možné sa pripojiť k serveru';
 
 $lang['Host'] = 'MySQL server';
@@ -48,15 +48,15 @@
 $lang['also given by your host provider'] = 'ktorý na tomto servri';
 $lang['Database table prefix'] = 'Predpona názvov databázových tabuliek';
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'názvy vytvorených databázových tabuliek budú túto predponu (pre ich jednoduchšiu správu)';
-$lang['enter a login for webmaster'] = 'vložte uživatelské jméno správce';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'názvy vytvorených databázových tabuliek budú označené predponou (pre ich jednoduchšiu správu)';
+$lang['enter a login for webmaster'] = 'zadať používateľské meno webmastra';
 $lang['webmaster login can\'t contain characters \' or "'] = 'používateľské meno správcu nemôže obsahovať znak \' alebo "';
-$lang['please enter your password again'] = 'prosím zadajte znovu heslo';
-$lang['Webmaster password'] = 'Heslo správcu';
+$lang['please enter your password again'] = 'prosím zadať znovu heslo';
+$lang['Webmaster password'] = 'Heslo webmastra';
 $lang['Keep it confidential, it enables you to access administration panel'] = 'Heslo majte utajené, umožní Vám prístup do administrácie aplikácie';
 $lang['Password [confirm]'] = 'Heslo [potvrdenie]';
 $lang['verification'] = 'kontrola';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Potrebujete pomoc? Opýtajte sa na <a href="%s">Piwigo fóre</a>.';
-$lang['Webmaster mail address'] = 'E-mail správcu';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'Návštevníci môžu pomocou tohto e-mailu správcu kontaktovať';
+$lang['Webmaster mail address'] = 'E-mail webmastra';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Návštevníci môžu pomocou tohto e-mailu kontaktovať správcu';
 
 // missing translations 2.1.0
@@ -74,5 +74,5 @@
 $lang['Congratulations, Piwigo installation is completed'] = 'Gratulujeme, Piwigo inštalácia je ukončená';
 $lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Náhradným riešením je skopírovať text z boxu vyššie a vložiť ho do súboru "local/config/database.inc.php" (Upozornenie: súbor database.inc.php môže obsahovať len to, čo je v tomto boxe, žiadne znaky odriadkovania alebo medzery)';
-$lang['Creation of config file local/config/database.inc.php failed.'] = 'Vytvorenie súboru local/config/database.inc.php se nepodarilo.';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Vytvorenie súboru local/config/database.inc.php sa nepodarilo.';
 $lang['Download the config file'] = 'Stiahnuť konfiguračný súbor';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Môžete stiahnuť konfiguračný súbor a nahrať ho do adresára local/config Vašej inštalácie.';
Index: /branches/2.1/language/sk_SK/upgrade.lang.php
===================================================================
--- /branches/2.1/language/sk_SK/upgrade.lang.php	(revision 7104)
+++ /branches/2.1/language/sk_SK/upgrade.lang.php	(revision 7105)
@@ -30,8 +30,8 @@
 $lang['total upgrade time'] = 'celkový čas aktualizácie';
 $lang['total SQL time'] = 'celkový čas SQL';
-$lang['SQL queries'] = 'SQL dotazy';
+$lang['SQL queries'] = 'SQL otázky';
 $lang['Upgrade informations'] = 'Informácie o aktualizácii';
-$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Preveďte kontrolu údržby v [Administrácia>Nástroje>Údržba] pokiaľ príde k problému.';
-$lang['Only administrator can run upgrade: please sign in below.'] = 'Len administrátor môže spustiť aktualizáciu: prosím prihláste sa nižšie.'; 
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Vykonanie kontroly údržby v [Administrácia>Nástroje>Údržba] ak narazíte na problém.';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Len administrátor môže spustiť aktualizáciu: prosím prihláste sa nižšie.';
 $lang['You do not have access rights to run upgrade'] = 'Nemáte prístupové práva na spustenie aktualizácie';
 
@@ -40,11 +40,10 @@
 $lang['All sub-categories of private categories become private'] = 'Všetky podkategórie súkromných kategórií sa stanú súkromnými';
 $lang['User permissions and group permissions have been erased'] = 'Používateľské oprávnenia a oprávnenia skupín boli vymazané';
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Z predchádzajúcej konfigurácie boli zachované len predpony náhľadov a email webmastera.';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Z predchádzajúcej konfigurárie boli zachované len predpony náhľadov a mailová adresa webmastra.';
 
 // missing translations 2.1.0
 $lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Navrhujeme aktualizovať databázu Vašej galérie Piwigo zo staršej na novú verziu.
-Asistent aktualizácie sa domnieva, že aktuálne používate <strong>verziu %s</strong> (alebo odpovedajúcu).';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Ako predbežné opatrenie boli deaktivované nasledujúce doplnky. Prosím skontrolujte aktualizácie týchto doplnkov predtým než ich znovu aktivujete:';
-$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'V <i>%s</i>, pred <b>?></b>, vložením:';
+Asistent aktualizácie sa domnieva, že aktuálne používate <strong>verziu %s</strong> (alebo obdobnú).';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Ako predbežné opatrenie boli deaktivované nasledujúce doplnky. Prosím skontrolujte aktualizácie týchto doplnkov predtým než ich znovu aktivujete:';$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'V <i>%s</i>, pred <b>?></b>, vložením:';
 
 ?>