Index: /branches/2.1/language/sk_SK/common.lang.php
===================================================================
--- /branches/2.1/language/sk_SK/common.lang.php	(revision 7106)
+++ /branches/2.1/language/sk_SK/common.lang.php	(revision 7107)
@@ -37,8 +37,8 @@
 $lang['%d category updated'] = '%d kategória aktualizovaná';
 $lang['%d categories updated'] = '%d kategórie aktualizované';
-$lang['%d comment to validate'] = '%d komentár k validácii';
-$lang['%d comments to validate'] = '%d komentárov k validácii';
-$lang['%d new comment'] = '%d nový komentár';
-$lang['%d new comments'] = '%d nových komentárov';
+$lang['%d comment to validate'] = '%d komentár na schválenie';
+$lang['%d comments to validate'] = '%d komentárov na schválenie';
+$lang['%d new image'] = '%d nová fotka';
+$lang['%d new images'] = '%d nových fotiek';
 $lang['%d comment'] = '%d komentár';
 $lang['%d comments'] = '%d komentárov';
@@ -59,5 +59,5 @@
 $lang['Average rate'] = 'Priemerné hodnotenie';
 $lang['Categories'] = 'Kategórie';
-$lang['Category'] = 'Kategórie';
+$lang['Category'] = 'Kategória';
 $lang['Close this window'] = 'Zatvoriť okno';
 $lang['Complete RSS feed (images, comments)'] = 'Kompletné RSS vlákno (fotografie, komentáre)';
@@ -65,5 +65,5 @@
 $lang['Connection settings'] = 'Nastavenie prihlasovacích údajov';
 $lang['Login'] = 'Prihlásiť sa';
-$lang['Contact webmaster'] = 'Kontaktovať administrátora';
+$lang['Contact webmaster'] = 'Kontaktovať webmastra';
 $lang['Create a new account'] = 'Vytvoriť nový účet';
 $lang['Created on'] = 'Vytvorené';
@@ -73,5 +73,5 @@
 $lang['Display'] = 'Zobraziť';
 $lang['Each listed rule must be satisfied.'] = 'Všetky pravidlá zo zoznamu musia byť splnené.';
-$lang['Email address is missing. Please specify an email address.'] = 'Chýba e-mailová adresa';
+$lang['Email address is missing. Please specify an email address.'] = 'Chýba e-mailová adresa. Prosím zadajte e-mailovú adresu.';
 $lang['Email address'] = 'E-mail';
 $lang['Enter your personnal informations'] = 'Vyplňte svoje osobné údaje';
@@ -127,5 +127,5 @@
 $lang['Username'] = 'Používateľské meno';
 $lang['Visits'] = 'Návštev';
-$lang['Webmaster'] = 'Administrátor';
+$lang['Webmaster'] = 'Webmaster';
 $lang['Week %d'] = 'Týždeň %d';
 $lang['About Piwigo'] = 'O aplikácii Piwigo';
@@ -154,5 +154,5 @@
 $lang['chronology_weekly_list'] = 'Týždenný zoznam';
 $lang['Click here if your browser does not automatically forward you'] = 'Ak neprebehlo automatické presmerovanie, kliknite sem';
-$lang['comment date'] = 'Dátum vloženia komentára';
+$lang['comment date'] = 'dátum vloženia komentára';
 $lang['Comment'] = 'Komentár';
 $lang['Your comment has been registered'] = 'Váš komentár bol zaregistrovaný';
@@ -169,5 +169,5 @@
 $lang['Customize'] = 'Upraviť';
 $lang['Your Gallery Customization'] = 'Prispôsobiť galériu ';
-$lang['day'][0] = 'Nedela';
+$lang['day'][0] = 'Nedeľa';
 $lang['day'][1] = 'Pondelok';
 $lang['day'][2] = 'Utorok';
@@ -182,27 +182,27 @@
 $lang['download'] = 'stiahnuť';
 $lang['download this file'] = 'stiahnuť tento súbor';
-$lang['edit'] = 'Editovať';
-$lang['wrong date'] = 'Chybné dátum';
-$lang['excluded'] = 'Vybrať z výberu';
+$lang['edit'] = 'editovať';
+$lang['wrong date'] = 'chybný dátum';
+$lang['excluded'] = 'vyňaté';
 $lang['My favorites'] = 'Obľúbené';
-$lang['display my favorites pictures'] = 'Zobrazí Vaše obľúbené fotografie';
+$lang['display my favorites pictures'] = 'zobraziť moje obľúbené fotografie';
 $lang['Favorites'] = 'Obľúbené';
 $lang['First'] = 'Prvá';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galéria je uzamknutá z dôvodu administrácie. Skúste to prosím neskôr.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galéria je uzamknutá z dôvodu údržby. Skúste to prosím neskôr.';
 $lang['Page generated in'] = 'Stránka vytvorená ';
 $lang['guest'] = 'hosť';
 $lang['Hello'] = 'Prihlásený ako';
-$lang['available for administrators only'] = 'Prístupné len adminitrátorom';
-$lang['shows images at the root of this category'] = 'Zobraziť fotografie v tejto kategórii';
+$lang['available for administrators only'] = 'prístupné len adminitrátorom';
+$lang['shows images at the root of this category'] = 'zobraziť fotografie v tejto kategórii';
 $lang['See last users comments'] = 'Zobraziť najnovšie komentáre používateľov';
-$lang['customize the appareance of the gallery'] = 'Prispôsobiť vzhľad galérie';
-$lang['search'] = 'Hľadať';
+$lang['customize the appareance of the gallery'] = 'prispôsobiť vzhľad galérie';
+$lang['search'] = 'hľadať';
 $lang['Home'] = 'Úvodná stránka';
 $lang['Identification'] = 'Identifikácia';
 $lang['in this category'] = 'v tejto kategórii';
-$lang['in %d sub-category'] = 'v %d pod-kategórii';
-$lang['in %d sub-categories'] = 'v %d pod-kategóriach';
+$lang['in %d sub-category'] = 'v %d podkategórii';
+$lang['in %d sub-categories'] = 'v %d podkategóriach';
 $lang['included'] = 'vrátane';
-$lang['Invalid password!'] = 'Zlé heslo!';
+$lang['Invalid password!'] = 'Neplatné heslo!';
 $lang['Language'] = 'Jazyk';
 $lang['last %d days'] = 'posledných %d dní';
@@ -215,8 +215,8 @@
 $lang['Maximum width of the pictures'] = 'Maximálna šírka fotografií';
 $lang['Maximum width must be a number superior to 50'] = 'Maximálna šírka musí byť číslo väčšie ako 50';
-$lang['display a calendar by creation date'] = 'Zobraziť v kalendári podľa dátumu vytvorenia';
-$lang['display all elements in all sub-categories'] = 'Zobraziť všetky objekty v pod-kategóriach';
-$lang['return to normal view mode'] = 'Návrat do normálneho zobrazenia';
-$lang['display a calendar by posted date'] = 'Zobraziť v kalendári podľa dátumu vloženia';
+$lang['display a calendar by creation date'] = 'zobraziť v kalendári podľa dátumu vytvorenia';
+$lang['display all elements in all sub-categories'] = 'Zobraziť všetky objekty v podkategóriach';
+$lang['return to normal view mode'] = 'návrat do normálneho zobrazenia';
+$lang['display a calendar by posted date'] = 'zobraziť v kalendári podľa dátumu vloženia';
 $lang['month'][10] = 'Október';
 $lang['month'][11] = 'November';
@@ -232,5 +232,5 @@
 $lang['month'][9] = 'September';
 $lang['Most visited'] = 'Najčastejšie zobrazované';
-$lang['display most visited pictures'] = 'Najčastejšie zobrazované fotografie';
+$lang['display most visited pictures'] = 'najčastejšie zobrazované fotografie';
 $lang['The number of images per row must be a not null scalar'] = 'Počet fotografií v riadku musí byť číslo väčšie ako 0.';
 $lang['Number of images per row'] = 'Počet fotografií v riadku';
@@ -250,24 +250,24 @@
 $lang['Show file metadata'] = 'Zobraziť metadata';
 $lang['Powered by'] = 'Publikované pomocou aplikácie';
-$lang['Preferences'] = 'Nastavenie';
+$lang['Preferences'] = 'Nastavenia';
 $lang['Previous'] = 'Predchádzajúca';
 $lang['Random pictures'] = 'Náhodný výber';
 $lang['display a set of random pictures'] = 'Zobraziť sadu fotografií podľa náhodného výberu';
-$lang['Recent categories'] = 'Nová kategória';
-$lang['display recently updated categories'] = 'Zobraziť novo pridané kategórie';
+$lang['Recent categories'] = 'Nové kategórie';
+$lang['display recently updated categories'] = 'zobraziť novo pridané kategórie';
 $lang['Recent period'] = 'Doba, počas ktorej sú fotografie zobrazované ako novo pridané';
 $lang['Recent pictures'] = 'Nové fotografie';
-$lang['display most recent pictures'] = 'Zobraziť novo pridané fotografie';
+$lang['display most recent pictures'] = 'zobraziť novo pridané fotografie';
 $lang['Redirection...'] = 'Presmerovanie...';
-$lang['Please, enter a login'] = 'Zadejte prosím prihlasovacie údaje';
+$lang['Please, enter a login'] = 'Zadajte prosím prihlasovacie údaje';
 $lang['login mustn\'t end with a space character'] = 'používateľské meno nesmie končiť medzerou';
 $lang['login mustn\'t start with a space character'] = 'používateľské meno nesmie začínať medzerou';
 $lang['this login is already used'] = 'tieto prihlasovacie údaje už sú používané';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-mail musí byť vo formáte xxx@yyy.eee (napríklad: kovac@zoznam.sk)';
-$lang['please enter your password again'] = 'prosím zadajte znovu heslo ';
+$lang['please enter your password again'] = 'prosím zadajte znovu heslo';
 $lang['Auto login'] = 'Automatické prihlásenie';
 $lang['remove this tag from the list'] = 'odstrániť toto kľúčové slovo zo zoznamu';
-$lang['representative'] = 'Reprezentant';
-$lang['return to homepage'] = 'Späť na úvodnú stranu';
+$lang['representative'] = 'vzorový';
+$lang['return to homepage'] = 'späť na úvodnú stránku';
 $lang['Search for Author'] = 'Hľadať autora';
 $lang['Search in Categories'] = 'Hľadanie v kategóriach';
@@ -285,18 +285,18 @@
 $lang['searched words : %s'] = 'hľadať slová: %s';
 $lang['Contact'] = 'Kontakt';
-$lang['set as category representative'] = 'Nastaviť kategóriu ako reprezentatívnu';
+$lang['set as category representative'] = 'Nastaviť kategóriu ako vzorovú';
 $lang['Show number of comments'] = 'Ukázať počet komentárov';
 $lang['Show number of hits'] = 'Ukázať počet zobrazení';
-$lang['slideshow'] = 'Automatické prehrávanie';
+$lang['slideshow'] = 'automatické prehrávanie';
 $lang['stop the slideshow'] = 'zastaviť automatické prehrávanie';
 $lang['Specials'] = 'Zobraziť';
 $lang['SQL queries in'] = 'SQL dotazov behom';
-$lang['display only recently posted images'] = 'Zobrazí len novo vložené fotografie';
+$lang['display only recently posted images'] = 'zobrazí len novo vložené fotografie';
 $lang['return to the display of all images'] = 'návrat k zobrazeniu všetkých fotografií';
-$lang['the beginning'] = 'začiatku';
+$lang['the beginning'] = 'začiatok';
 $lang['Interface theme'] = 'Šablona vzhľadu';
 $lang['Thumbnails'] = 'Náhľady';
 $lang['Menu'] = 'Ďalšie funkcie';
-$lang['A comment on your site'] = 'komentár v Vašim stránkam';
+$lang['A comment on your site'] = 'Komentár v Vašim stránkam';
 $lang['today'] = 'dnes';
 $lang['Update your rating'] = 'Aktualizovať hodnotenie';
@@ -307,6 +307,6 @@
 $lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Voliteľné (odporučené): priradiť náhľad k ';
 $lang['the width of the picture must not exceed :'] = 'šírka fotografie nesmie byť väčšia ako: ';
-$lang['can\'t upload the picture on the server'] = 'Nie je možné nahrať fotografiu na server';
-$lang['the username must be given'] = 'Je nutné zadať používateľské meno';
+$lang['can\'t upload the picture on the server'] = 'nie je možné nahrať fotografiu na server';
+$lang['the username must be given'] = 'je nutné zadať používateľské meno';
 $lang['A picture\'s name already used'] = 'Fotografia s týmto názvom už existuje';
 $lang['You must choose a picture fileformat for the image'] = 'Je nutné zvoliť typ súboru fotografie';
@@ -333,8 +333,8 @@
 $lang['Picture uploaded by %s'] = 'Fotografia nahraná %s';
 
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zlý stav pre používateľa "hosť", bude použitý východzí stav. Prosím informujte administrátora.';
-
-$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrátor nemôže použiť túto metódu.';
-$lang['a user use already this mail address'] = 'Táto e-mailová adresa je už používaná';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zlý stav pre používateľa "hosť", bude použitý východzí stav. Prosím informujte webmastra.';
+
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrátor, webmaster a špeciálny používateľ nemôžu použiť túto metódu.';
+$lang['a user use already this mail address'] = 'táto e-mailová adresa je už používaná';
 $lang['Category results for'] = 'Výsledky pre kategórie';
 $lang['Tag results for'] = 'Výsledky pre kľúčové slová';
@@ -358,7 +358,7 @@
 $lang['Piwigo Help'] = 'Nápoveda Piwigo';
 $lang['Rank'] = 'Hodnotiť';
-$lang['group by letters'] = 'Zoskupiť podľa písmen';
+$lang['group by letters'] = 'zoskupiť podľa písmen';
 $lang['letters'] = 'písmená';
-$lang['show tag cloud'] = 'Zobraziť kľúčové slová v bubline';
+$lang['show tag cloud'] = 'zobraziť kľúčové slová v bubline';
 $lang['cloud'] = 'bublina';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
@@ -371,5 +371,5 @@
 $lang['delete all images from your favorites'] = 'vymazať všetky obrázky z Vašich obľúbených';
 $lang['Sent by'] = 'Poslané';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies sú buď blokované, alebo nie sú povolené vo Vašom prehliadači. Musíte povoliť cookies, aby bolo možné se prihlásiť.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies sú buď blokované, alebo nie sú povolené vo Vašom prehliadači. Musíte povoliť cookies, aby bolo možné sa prihlásiť.';
 $lang['Some info about this picture'] = 'Informácie o tejto fotografii';
 $lang['Some more (technical) info about this picture'] = 'Viac informácií o tejto fotografii (technické)';
@@ -378,8 +378,8 @@
 $lang['(!) This comment requires validation'] = '(!) Tento komentár vyžaduje kontrolu';
 $lang['Welcome'] = 'Vitajte';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Vitajte vo Vašej Piwigo foto galérii!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Vitajte vo Vašej Piwigo fotogalérii!';
 $lang['... or browse your empty gallery'] = '... alebo prezerajte Vašu prázdnu galériu';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... alebo prosím zrušte túto správu, program nájde spôsob sám';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Vitajte %s, Vaša Piwigo foto galéria je prázdna!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Vitajte %s, Vaša Piwigo fotogaléria je prázdna!';
 $lang['I want to add photos'] = 'Chcem pridať fotografie';
 $lang['Manage this user comment: %s'] = 'Spravujte tento používateľský komentár: %s';