Index: extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php	(revision 7109)
+++ extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php	(revision 7110)
@@ -1,40 +1,40 @@
 <?php
 
-$lang['Click here to upgrade automatically'] = 'Click vào dây d? nâng c?p t? d?ng';
-$lang['autoupdate_alert'] = 'B?n có ch?c là mu?n nâng c?p t? d?ng piwigo? C?nh báo! Nh?ng t?p tin dã du?c hi?u ch?nh b?i ngu?i dùng có th? b? ghi dè.';
-$lang['autoupdate_success'] = 'Piwigo dã du?c nâng c?p thành công (phiên b?n %s)';
-$lang['autoupdate_fail'] = 'Có m?t l?i xu?t hi?n trong quá trình nâng c?p.';
+$lang['Click here to upgrade automatically'] = 'Click vào đây để nâng cấp tự dộng';
+$lang['autoupdate_alert'] = 'Bạn có chắc là muốn nâng cấp tự động piwigo? Cảnh báo! Những tập tin đã được hiệu chỉnh bởi người dùng có thể bị ghi đè.';
+$lang['autoupdate_success'] = 'Piwigo đã được nâng cấp thành công (phiên bản %s)';
+$lang['autoupdate_fail'] = 'Có một lỗi xuất hiện trong quá trình nâng cấp.';
 
-$lang['autoupdate_extract_fail'] = 'Có m?t l?i xu?t hi?n trong quá trình trích xu?t t?p tin. Vui lòng ki?m tra quy?n hi?u ch?nh t?p tin gói cài d?t Piwigo c?a b?n.<br><a href="%s">Click vào dây d? xem l?i.</a>.';
+$lang['autoupdate_extract_fail'] = 'Có một lỗi xuất hiện trong quá trình trích xuất tệp tin. Vui lòng kiểm tra quyền hiệu chỉnh tệp tin gói cài đặt Piwigo của bạn.<br><a href="%s">Click vào đây để xem lỗi.</a>.';
 
-$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo không th? nh?n du?c t?p tin nâng c?p t?  máy ch?';
-$lang['Click here to see Piwigo %s release notes'] = 'Click vào dây d? xem xem nh?ng ghi chú phát hành c?a phiên b?n Piwigo %s';
-$lang['Some upgrades are available for you plugins'] = 'Có m?t s? b?n nâng c?p có th? s? d?ng du?c cho nh?ng plugins c?a b?n';
-$lang['Click here see upgrade plugins page'] = 'Click vào dây d? xem trang c?a plugins';
-$lang['Gallery and plugins are up to date'] = 'Thu vi?n hình và plugin dã du?c c?p nh?t';
-$lang['Unable to check upgrades...'] = 'Không th? ki?m tra b?n nâng c?p...';
-$lang['Click here to check upgrades now'] = 'Click vào dây d?m ki?m tra b?n nâng c?p ngay';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo không thể nhận được tệp tin nâng cấp từ  máy chủ';
+$lang['Click here to see Piwigo %s release notes'] = 'Click vào đây để xem xem những ghi chú phát hành của phiên bản Piwigo %s';
+$lang['Some upgrades are available for you plugins'] = 'Có một số bản nâng cấp có thể sử dụng được cho những plugins của bạn';
+$lang['Click here see upgrade plugins page'] = 'Click vào đây để xem trang của plugins';
+$lang['Gallery and plugins are up to date'] = 'Thư viện hình và plugin đã được cập nhật';
+$lang['Unable to check upgrades...'] = 'Không thể kiểm tra bản nâng cấp...';
+$lang['Click here to check upgrades now'] = 'Click vào đây đểm kiểm tra bản nâng cấp ngay';
 
-$lang['Notify on admin homepage'] = 'Thông báo trên trang c?a admin';
-$lang['Don\'t notify on admin homepage'] = 'Không thông báo trên trang c?a admin';
+$lang['Notify on admin homepage'] = 'Thông báo trên trang của admin';
+$lang['Don\'t notify on admin homepage'] = 'Không thông báo trên trang của admin';
 
-$lang['Upgrade in progress... Please wait.'] = 'Quá trình nâng c?p dang ti?n hành... Vui lòng d?i.';
-$lang['Checking upgrades for gallery and plugins...'] = 'Ki?m tra b?n nâng c?p cho thu vi?n hình và các plugins...';
+$lang['Upgrade in progress... Please wait.'] = 'Quá trình nâng cấp đang tiến hành... Vui lòng đợi.';
+$lang['Checking upgrades for gallery and plugins...'] = 'Kiểm tra bản nâng cấp cho thư viện hình và các plugins...';
 
-$lang['Upgrade to Piwigo %s'] = 'Nâng c?p Piwigo lên phiên b?n %s';
-$lang['Two upgrades are available'] = 'Có hai b?n nâng c?p có th? s? d?ng du?c';
-$lang['This is a minor upgrade, with only bug corrections.'] = 'Ðây là b?n nâng c?p không quan tr?ng, ch? dùng d? s?a l?i nh?.';
-$lang['This is a major upgrade, with <a href="%s">new exciting features</a>.'] = 'Ðây là b?n nâng c?p chính, v?i <a href="%s">nh?ng nét m?i h?p d?n.</a>.';
-$lang['Some themes and plugins may be not available yet.'] = 'M?t s? themes và plugins có th? chua dùng du?c.';
-$lang['You can upgrade to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'B?n có th? nâng c?p tr?c ti?p lên phiên b?n Piwigo %s, mà không c?n ph?i nâng c?p t? phiên b?n %s (khuy?n cáo).';
-$lang['autoupdate_step_1'] = 'Bu?c th? nh?t';
-$lang['autoupdate_step_2'] = 'Bu?c th? 2';
-$lang['autoupdate_step_3'] = 'Bu?c th? 3';
-$lang['Save Template Directory'] = 'Luu l?i template c?a thu m?c';
-$lang['Dump Database'] = 'T?o b?n sao co s? d? li?u';
-$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Bao g?m d? li?u lu?c s? (C?nh báo: Gi?i h?n b? nh? c?a máy ch? có th? b? vu?t quá m?c.)';
-$lang['Unable to write new local directory.'] = 'Không th? vi?t lên thu m?c c?c b? m?i.';
-$lang['Unable to send template directory.'] = 'Không th? g?i template c?a thu m?c.';
-$lang['Unable to dump database.'] = 'Không th? t?o b?n sao co s? d? li?u.';
+$lang['Upgrade to Piwigo %s'] = 'Nâng cấp Piwigo lên phiên bản %s';
+$lang['Two upgrades are available'] = 'Có hai bản nâng cấp có thể sử dụng được';
+$lang['This is a minor upgrade, with only bug corrections.'] = 'Đây là bản nâng cấp không quan trọng, chỉ dùng để sửa lỗi nhỏ.';
+$lang['This is a major upgrade, with <a href="%s">new exciting features</a>.'] = 'Đây là bản nâng cấp chính, với <a href="%s">những nét mới hấp dẫn.</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Một số themes và plugins có thể chưa dùng được.';
+$lang['You can upgrade to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Bạn có thể nâng cấp trực tiếp lên phiên bản Piwigo %s, mà không cần phải nâng cấp từ phiên bản %s (khuyến cáo).';
+$lang['First Step'] = 'Bước thứ nhất';
+$lang['Second Step'] = 'Bước thứ 2';
+$lang['Third Step'] = 'Bước thứ 3';
+$lang['Save Template Directory'] = 'Lưu lại template của thư mục';
+$lang['Dump Database'] = 'Tạo bản sao cơ sở dữ liệu';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Bao gồm dữ liệu lược sử (Cảnh báo: Giới hạn bộ nhớ của máy chủ có thể bị vượt quá mức.)';
+$lang['Unable to write new local directory.'] = 'Không thể viết lên thư mục cục bộ mới.';
+$lang['Unable to send template directory.'] = 'Không thể gởi template của thư mục.';
+$lang['Unable to dump database.'] = 'Không thể tạo bản sao cơ sở dữ liệu.';
 
 ?>