Index: branches/2.1/language/vi_VN/admin.lang.php
===================================================================
--- branches/2.1/language/vi_VN/admin.lang.php	(revision 7108)
+++ branches/2.1/language/vi_VN/admin.lang.php	(revision 7111)
@@ -36,6 +36,6 @@
 $lang['%d member'] = '%d thành viên';
 $lang['%d members'] = '%d thành viên';
-$lang['%d tag'] = '%d tag';
-$lang['%d tags'] = '%d tags';
+$lang['%d tag'] = '%d thẻ';
+$lang['%d tags'] = '%d thẻ';
 $lang['%d user comment rejected'] = '%d lời bình của thành viên dùng đã bị từ chối';
 $lang['%d user comments rejected'] = '%d lời bình của thành viên dùng đã bị từ chối';
@@ -136,11 +136,11 @@
 $lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Có %s liên kết cố định đã được dùng trước đó bởi đề mục %s. Hãy xoá liên kết cố định này từ bảng ghi trước.';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"';
-$lang['Permalink %s is already used by category %s'] = 'Permalink %s is already used by category %s';
+$lang['Permalink %s is already used by category %s'] = 'Liên kết cố định %s được sử dụng bởi đề mục %s';
 $lang['Permalink history'] = 'Permalink history';
-$lang['Permalinks'] = 'Permalinks';
-$lang['Permission denied'] = 'Permission denied';
-$lang['Permission granted thanks to a group'] = 'Permission granted thanks to a group';
-$lang['Permission granted'] = 'Permission granted';
-$lang['Picture informations updated'] = 'Picture informations updated';
+$lang['Permalinks'] = 'Liên kết cố định';
+$lang['Permission denied'] = 'Sự chấp nhận đã bị từ chối';
+$lang['Permission granted thanks to a group'] = 'Chấp nhận đã được công nhân nhờ vào một nhóm người dùng';
+$lang['Permission granted'] = 'Sự chấp nhận đã được công nhận';
+$lang['Picture informations updated'] = 'Thông tin của hình đã được cập nhật';
 $lang['Plugins'] = 'Plugins';
 $lang['Position'] = 'Vị trí';
@@ -227,5 +227,5 @@
 $lang['elements'] = 'thành phần';
 $lang['High definition enabled'] = 'Bật chế độ xem hình lớn';
-$lang['File'] = 'File';
+$lang['File'] = 'Tệp tin';
 $lang['Filesize'] = 'Cỡ file';
 $lang['first element added on %s'] = 'thành phần đầu tiên đã được thêm vào %s';
@@ -442,5 +442,5 @@
 $lang['default'] = 'mặc định';
 $lang['Toggle \'default group\' property'] = 'Dịch chuyển \'nhóm mặc định\' thuộc tính';
-$lang['Advanced features'] = 'Advanced features';
+$lang['Advanced features'] = 'Đặc điểm vượt trội';
 $lang['Not linked elements'] = 'Những thành phần không được liên kết';
 $lang['Specials'] = 'Đặc biệt';
@@ -456,5 +456,5 @@
 $lang['Element'] = 'Thành phần';
 $lang['Section'] = 'Mục';
-$lang['Tags'] = 'Tags';
+$lang['Tags'] = 'Thẻ';
 $lang['Save page visits by guests'] = 'Lưu trang đã xem bởi khách';
 $lang['Save page visits by users'] = 'Lưu tra đã xem bởi người dùng';
@@ -607,5 +607,5 @@
 $lang['%d photo was deleted'] = '%d hình đã được xóa';
 $lang['%d photos were deleted'] = 'Có %d hình đã được xóa';
-$lang['Downloads'] = 'Downloads';
+$lang['Downloads'] = 'Tải xuống';
 $lang['Released on'] = 'Phát hành vào';
 $lang['Number of downloads'] = 'Số lần download';
Index: branches/2.1/language/vi_VN/common.lang.php
===================================================================
--- branches/2.1/language/vi_VN/common.lang.php	(revision 7108)
+++ branches/2.1/language/vi_VN/common.lang.php	(revision 7111)
@@ -379,3 +379,4 @@
 $lang['This author removed the comment with id %d'] = 'Tác giả này đã xóa bỏ lời bình có ID là %d';
 $lang['validate this comment'] = 'xác nhận lời bình này';
+$lang['show tag cloud'] = 'hiển thị thẻ mây';
 ?>
Index: branches/2.1/language/vi_VN/upgrade.lang.php
===================================================================
--- branches/2.1/language/vi_VN/upgrade.lang.php	(revision 7108)
+++ branches/2.1/language/vi_VN/upgrade.lang.php	(revision 7111)
@@ -40,3 +40,6 @@
 //For version 2.1.0
 $lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = "This page proposes to upgrade the database from your Piwigo old version to the new version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).";
+
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Nhằm đề phòng, những plugins sau đây đã bị vô hiệu hóa. Bạn phải kiểm tra bản nâng cấp của plugin trước khi kích hoạt lại chúng:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'Trong <i>%s</i>, trước <b>?></b>, chèn vào:';
 ?>