Index: extensions/LLGBO2/language/de_DE/description.txt
===================================================================
--- extensions/LLGBO2/language/de_DE/description.txt	(revision 7114)
+++ extensions/LLGBO2/language/de_DE/description.txt	(revision 7114)
@@ -0,0 +1,6 @@
+LLGBO2
+Zeigt Vorschaubilder und/oder Exifinformationen, wenn der Mauszeiger über den Menüoptionen
+in der Galerieansicht schwebt.
+-Zeichnet einen Rand um ein Bild
+-Fügt Navigationsoptionen im Bild ein
+-Bietet die Möglichkeit, den Banner nur auf der ersten oder mehreren Seiten anzuzeigen.
Index: extensions/LLGBO2/language/de_DE/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 7114)
+++ extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 7114)
@@ -0,0 +1,87 @@
+<?php  
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+$lang['submit'] = 'Speichern';
+$lang['Title'] = 'Looks like GBo';
+$lang['Howto'] = 'Dieser Plugin verwaltet das Layout der Bildansicht.';
+$lang['Step1_Title'] = 'Globale Optionen des Plugins';
+$lang['Step2_Title'] = 'Tooltipoptionen';
+$lang['Step3_Title'] = 'Rahmenoptionen';
+$lang['Step4_Title'] = 'Banneroptionen';
+$lang['llgbo_tooltip']='Erweiterte Tooltips mit Vorschaubildern:';
+$lang['llgbo_exifunderbt']='Erweiterte Tooltips mit Exif-informationen:';
+$lang['llgbo_frame']='Verwalten des Bildrahmens:';
+$lang['llgbo_header']='Verwwalten des Seitenbanners ';
+$lang['llgbo_maintain_header']='Verwalten des Seitenbanners auf den folgenden Seiten:';
+$lang['llgbo_usemap']='Zeige Navigationsinformationen über dem Bild:';
+$lang['llgbo_usemap_thumb']='Zeige ein Vorschaubild bei aktivierter Navigation über einem Bild:';
+$lang['llgbo_info']='     (^_^) Einstellungen gespeichert';
+$lang['llgbo_title_frame'] = 'Zeige Bildtitel im Rahmen';
+$lang['llgbo_default_navthumb'] = 'Unterdrücke die Standardanzeige des Prev_Next Vorschaubilds:';
+$lang['save'] = 'Speichern';
+$lang['preview'] = 'Vorschau';
+$lang['llgo_tooltip_width']= 'Breite des Tooltips';  
+$lang['llgo_tooltip_size']= 'Breite des Tooltiprands';  
+$lang['llgbo_tooltip_bordercolor']= 'Farbe des Tooltiprands';
+$lang['llgbo_tooltip_backgroundcolor']= 'Hintergrundfarbe des Tooltips';
+$lang['llgbo_tooltip_titlecolor']= 'Titelfarbe des Tooltips';
+$lang['llgbo_tooltip_color']= 'Textfarbe des Tooltips';
+$lang['llgo_global_setting']= 'Globale Einstellungen der Piwigo Bildansicht';
+$lang['llgo_tooltip_setting']= 'Titel des Tooltips';
+$lang['llgo_frame_setting']= 'Rahmeneinstellungen:' ;
+$lang['llgbo_title_frame_color']= 'Farbe des im Rahmen angezeigten Titels';
+$lang['llgbo_frame_bdcolor0']= 'Farbe Linie 1: ';
+$lang['llgbo_frame_bdcolor1']= 'Farbe Linie 2: ';
+$lang['llgbo_frame_bdcolor2']= 'Farbe Linie 3: ';
+$lang['llgbo_frame_bdcolor3']= 'Farbe Linie 4: ';
+$lang['llgbo_frame_bdcolor4']= 'Farbe Linie 5: ';
+$lang['llgbo_frame_bdcolor5']= 'Farbe Linie 6: ';
+$lang['llgbo_frame_bdcolor6']= 'Farbe Linie 7: ';
+$lang['llgbo_frame_bdcolor7']= 'Farbe Linie 8: ';
+$lang['llgbo_frame_bdcolor8']= 'Farbe Linie 9: ';
+$lang['llgbo_frame_bdcolor9']= 'Farbe Linie 10:';
+$lang['llgbo_frame_bdcolor10']= 'Farbe Linie 11: ';
+$lang['llgbo_frame_bdcolor11']= 'Farbe Linie 12: ';
+$lang['llgbo_frame_bdcolor12']= 'Farbe Linie 13: ';
+$lang['llgbo_frame_bdcolor13']= 'Farbe Linie 14: ';
+$lang['llgbo_frame_bdcolor14']= 'Farbe Linie 15: ';
+$lang['llgbo_frame_bdcolor15']= 'Farbe Linie 16: ';
+$lang['llgbo_frame_bdsize']= 'Breite:';
+$lang['llgbo_M_frame'] = 'Rahmenverwaltung';
+$lang['llgbo_M_tooltip'] = 'Tooltipverwaltung';
+$lang['llgbo_M_manage'] = 'Globale Einstellungen';
+$lang['llgbo_samples'] = 'Beispiele: ';
+$lang['llgbo_frame']='Verwalten des Bildrahmens :';
+$lang['llgbo_header']='Verwalten des Seitenbanners';
+$lang['llgbo_M_header'] = 'Bannerverwaltung';
+$lang['llgbo_header_home'] = 'Zeige den Seitenbanner auf der Hauptseite';
+$lang['llgbo_header_category'] = 'Zeige den Seitenbanner auf der Albenseite';
+$lang['llgbo_header_category_filter_recent']= 'Zeige den Seitenbanner auf der Albenseite "Die neuesten Bilder"';
+$lang['llgbo_header_category_flat']= 'Zeige den Seitenbanner auf der Albenseite "option flat"' ;
+$lang['llgbo_header_category_posted_monthly']= 'Zeige den Seitenbanner auf der Albenseite "Kalender"' ;
+$lang['llgbo_header_picture']= 'Zeige den Seitenbanner auf der Bildansicht' ;
+$lang['llgbo_header_additional_page'] = 'Zeige den Seitenbanner auf weiteren Seiten';
+$lang['llgbo_header_most_visited'] = 'Zeige den Seitenbanner auf der Seite "Am häufigsten gesehen"';
+$lang['llgbo_header_best_rated'] = 'Zeige den Seitenbanner auf der Seite "Am besten bewertet"';
+$lang['llgbo_header_list']= 'Zeige den Seitenbanner auf der Seite "Zufallsbilder"';
+$lang['llgbo_header_recent_pics']= 'Zeige den Seitenbanner auf der Seite "Die neuesten Bilder"';
+$lang['llgbo_header_created_monthly_calendar'] = 'Zeige den Seitenbanner auf der Kalenderseite'; 
+$lang['llgbo_header_tags']= 'Zeige den Seitenbanner auf der Seite Tags'; 
+$lang['llgbo_header_search']= 'Zeige den Seitenbanner auf der Suchseite';
+$lang['llgbo_header_comments']= 'Zeige den Seitenbanner auf der Kommentarseite';
+$lang['llgbo_header_about']= 'Zeige den Seitenbanner auf der Seite "Über Uns"';
+$lang['llgbo_header_notification']= 'Zeige den Seitenbanner auf der Benachrichtigungsseite';
+$lang['llgbo_header_register'] = 'Zeige den Seitenbanner auf der Registrierungsseite';
+$lang['llgbo_header_identification']= 'Zeige den Seitenbanner auf der Identifizierungsseite';
+$lang['llgbo_header_favorites']= 'Zeige den Seitenbanner auf der Seite "Meine Favoriten"';
+$lang['llgbo_header_recent_cats']= 'Zeige den Seitenbanner auf der Seite "Neue Kategorien"';
+$lang['llgbo_frame_sample']= 'Beispielliste ';
+$lang['previewsamples']= 'Zeige dieses Beispiel';
+$lang['llgbo_always_displayexif'] = 'Zeige die Metadaten immer an:' ;
+$lang['Reset_To_Default'] = 'Auf Standardeinstellungen zurücksetzen';
+/*TODO*/$lang['llgo_warning_setting'] = 'Bildrahmen und In-Bild-Navigation sind bei Verwendung eines Gally Layouts nicht verfügbar';
+/*TODO*/$lang['llgbo_hdShadowbox'] ='Kompatibilität zwischen HD Shadowbox und In-Bild-Navigation. <br> HD Shadowbox muss aktiviert sein!';
+?>