Index: /extensions/LLGBO2/language/sk_SK/description.txt
===================================================================
--- /extensions/LLGBO2/language/sk_SK/description.txt	(revision 7126)
+++ /extensions/LLGBO2/language/sk_SK/description.txt	(revision 7126)
@@ -0,0 +1,4 @@
+-Zobrazenie náhľadov a Exif pod ukazovateľom myši
+-Zobrazenie rámu okolo fotografie
+-Pridanie navigácie na obrázku
+-Zobrazenie baneru len na prvej stránke a vedľajších stránkach 
Index: /extensions/LLGBO2/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/sk_SK/plugin.lang.php	(revision 7126)
+++ /extensions/LLGBO2/language/sk_SK/plugin.lang.php	(revision 7126)
@@ -0,0 +1,87 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+$lang['submit'] = 'Poslať';
+$lang['Title'] = 'Vyzerá ako GBo';
+$lang['Howto'] = 'Tento doplnok ovláda usporiadanie stránky fotografií.';
+$lang['Step1_Title'] = 'Nastavenie doplnku';
+$lang['Step2_Title'] = 'Nastavenie nástrojov';
+$lang['Step3_Title'] = 'Nastavenie usporiadania';
+$lang['Step4_Title'] = 'Zobraziť/schovať záhlavie na každej stránke';
+$lang['llgbo_tooltip']='Špeciálne nástroje (náhľady fotografií) pri prejdení myšou:';
+$lang['llgbo_exifunderbt']='Špeciálny nástroj pre EXIF pri prejdení myšou:';
+$lang['llgbo_frame']='Ovládanie rámu okolo fotografie:';
+$lang['llgbo_header']='Ovládanie zobrazovania záhlavia ';
+$lang['llgbo_maintain_header']='Zachovanie záhlavia na nasledujúcich stránkach:';
+$lang['llgbo_usemap']='Pridanie navigačnej lišty na fotografii:';
+$lang['llgbo_usemap_thumb']='Zobrazenie náhľadov, keď je navigácia aktívna na fotografii:';
+$lang['llgbo_info']='     (^_^) Nastavenia aktualizované';
+$lang['llgbo_title_frame'] = 'Zobrazenie názvu fotografie na ráme';
+$lang['llgbo_default_navthumb'] = 'Skrývať Predchádzajúca_Nasledujúca pri štandardnom zobrazení náhľadov:';
+$lang['save'] = 'Uložiť';
+$lang['preview'] = 'Ukázať';
+$lang['llgo_tooltip_width']= 'Šírka nástroja'; 
+$lang['llgo_tooltip_size']= 'Šírka rámu nástroja'; 
+$lang['llgbo_tooltip_bordercolor']= 'Farba rámu nástroja';
+$lang['llgbo_tooltip_backgroundcolor']= 'Farba pozadia nástroja';
+$lang['llgbo_tooltip_titlecolor']= 'Farba názvu nástroja';
+$lang['llgbo_tooltip_color']= 'Farba textu nástroja';
+$lang['llgo_global_setting']= 'Celkové nastavenia Piwigo fotografickej stránky';
+$lang['llgo_tooltip_setting']= 'Názov nástroja';
+$lang['llgo_frame_setting']= 'Nastavenia rámu:' ;
+$lang['llgbo_title_frame_color']= 'Farba názvu zobrazeného na ráme';
+$lang['llgbo_frame_bdcolor0']= 'Farba 1: ';
+$lang['llgbo_frame_bdcolor1']= 'Farba 2: ';
+$lang['llgbo_frame_bdcolor2']= 'Farba 3: ';
+$lang['llgbo_frame_bdcolor3']= 'Farba 4: ';
+$lang['llgbo_frame_bdcolor4']= 'Farba 5: ';
+$lang['llgbo_frame_bdcolor5']= 'Farba 6: ';
+$lang['llgbo_frame_bdcolor6']= 'Farba 7: ';
+$lang['llgbo_frame_bdcolor7']= 'Farba 8: ';
+$lang['llgbo_frame_bdcolor8']= 'Farba 9: ';
+$lang['llgbo_frame_bdcolor9']= 'Farba 10:';
+$lang['llgbo_frame_bdcolor10']= 'Farba 11: ';
+$lang['llgbo_frame_bdcolor11']= 'Farba 12: ';
+$lang['llgbo_frame_bdcolor12']= 'Farba 13: ';
+$lang['llgbo_frame_bdcolor13']= 'Farba 14: ';
+$lang['llgbo_frame_bdcolor14']= 'Farba 15: ';
+$lang['llgbo_frame_bdcolor15']= 'Farba 16: ';
+$lang['llgbo_frame_bdsize']= 'šírka:';
+$lang['llgbo_M_frame'] = 'Ovládanie rámov';
+$lang['llgbo_M_tooltip'] = 'Ovládanie nástroja';
+$lang['llgbo_M_manage'] = 'Celkové nastavenia';
+$lang['llgbo_samples'] = 'Príklady: ';
+$lang['llgbo_frame']='Ovládanie rámu okolo fotografie:';
+$lang['llgbo_header']='Ovládanie zobrazovania záhlavia';
+$lang['llgbo_M_header'] = 'Spravovanie zobrazovania záhlavia';
+$lang['llgbo_header_home'] = 'Zobraziť záhlavie na Hlavnej stránke';
+$lang['llgbo_header_category'] = 'Zobraziť záhlavie na stránke kategórií';
+$lang['llgbo_header_category_filter_recent']= 'Zobraziť záhlavie na stránke kategórií (filter nových)';
+$lang['llgbo_header_category_flat']= 'Zobraziť záhlavie na stránke kategórií (voľba rovná)' ;
+$lang['llgbo_header_category_posted_monthly']= 'Zobraziť záhlavie na stránke kategórií voľba kalendár' ;
+$lang['llgbo_header_picture']= 'Zobraziť záhlavie na stránke fotografií' ;
+$lang['llgbo_header_additional_page'] = 'Zobraziť záhlavie na nasledujúcich stránkach';
+$lang['llgbo_header_most_visited'] = 'Zobraziť záhlavie na stránke Najčastejšie zobrazované';
+$lang['llgbo_header_best_rated'] = 'Zobraziť záhlavie na stránke Najviac hodnotené';
+$lang['llgbo_header_list']= 'Zobraziť záhlavie na stránke Náhodný výber';
+$lang['llgbo_header_recent_pics']= 'Zobraziť záhlavie na stránke Nové fotografie';
+$lang['llgbo_header_created_monthly_calendar'] = 'Zobraziť záhlavie na stránke Kalendár';
+$lang['llgbo_header_tags']= 'Zobraziť záhlavie na stránke Kľúčové slová';
+$lang['llgbo_header_search']= 'Zobraziť záhlavie na stránke Vyhľadávanie';
+$lang['llgbo_header_comments']= 'Zobraziť záhlavie na stránke Komentáre';
+$lang['llgbo_header_about']= 'Zobraziť záhlavie na stránke O galérii';
+$lang['llgbo_header_notification']= 'Zobraziť záhlavie na stránke Hlásenia';
+$lang['llgbo_header_register'] = 'Zobraziť záhlavie na stránke Identifikácia';
+$lang['llgbo_header_identification']= 'Display header on identification page';
+$lang['llgbo_header_favorites']= 'Zobraziť záhlavie na stránke Moje obľúbené';
+$lang['llgbo_header_recent_cats']= 'Zobraziť záhlavie na stránke Nové kategórie';
+$lang['llgbo_frame_sample']= 'Zoznam príkladov ';
+$lang['previewsamples']= 'Zobraziť tento príklad';
+$lang['llgbo_always_displayexif'] = 'Vždy zobraziť METADATA:' ;
+$lang['Reset_To_Default'] = 'Obnoviť pôvodné nastavenia';
+$lang['llgo_warning_setting'] = 'Rám okolo fotografie a navigácia na fotografii nie sú dostupné s Gally šablónami';
+$lang['llgbo_hdShadowbox'] ='Povolenie HD tienenej bunky a navigácie na fotografii. <br> HD tienená bunka musí byť aktivovaná!';
+?>