Index: /extensions/AdditionalPages/language/cs_CZ/description.txt
===================================================================
--- /extensions/AdditionalPages/language/cs_CZ/description.txt	(revision 7127)
+++ /extensions/AdditionalPages/language/cs_CZ/description.txt	(revision 7127)
@@ -0,0 +1,1 @@
+Pridání doplnkových stránek do menu
Index: /extensions/AdditionalPages/language/cs_CZ/index.php
===================================================================
--- /extensions/AdditionalPages/language/cs_CZ/index.php	(revision 7127)
+++ /extensions/AdditionalPages/language/cs_CZ/index.php	(revision 7127)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php	(revision 7127)
+++ /extensions/AdditionalPages/language/cs_CZ/plugin.lang.php	(revision 7127)
@@ -0,0 +1,41 @@
+<?php
+
+ $lang['ap_add_page'] = 'Přidat stránku';
+
+$lang['ap_create'] = 'Přidat novou stránku';
+$lang['ap_deleted_page'] = 'Stránka byla smazána. (<a href="' .PHPWG_ROOT_PATH . '">zpět domů</a>)';
+$lang['ap_no_name'] = 'Je nutné vyplnit jméno.';
+$lang['ap_saved_page'] = 'Stránka byla uložena (<a href="' .PHPWG_ROOT_PATH . 'index.php?/additional_page/%s">zobrazit stránku</a>)';
+$lang['ap_modify'] = 'Upravit stránku';
+$lang['ap_all_lang'] = 'Všechny';
+$lang['ap_all_group'] = 'Všechny';
+
+$lang['ap_conf_saved'] = 'Konfigurace byla uložena.';
+
+$lang['ap_page_name'] = 'Jméno stránky';
+$lang['ap_page_lang'] = 'Jazyk';
+$lang['ap_default_language'] = 'Defaultní';
+$lang['ap_page_pos'] = 'Pozice';
+$lang['ap_authorized_group'] = 'Authorizované skupiny';
+$lang['ap_authorized_users'] = 'Authorizovaní uživatelé';
+$lang['ap_select_all'] = 'Vybrat vše';
+$lang['ap_unselect_all'] = 'Odvybrat vše';
+$lang['ap_guest'] = '(nechat prázdné pro veřejnou stránku)';
+$lang['ap_pos0'] = '0 znamená neukazovat stránku v menu';
+$lang['ap_page_content'] = 'Obsah';
+$lang['ap_save'] = 'Uložit';
+$lang['ap_delete'] = 'Smazat';
+
+$lang['ap_config'] = 'Konfigurace';
+$lang['ap_menu_name'] = 'Jméno menu';
+$lang['ap_show_menu'] = 'Zobrazit blokové menu';
+$lang['ap_redirect'] = 'Automatické přesměrování na uloženou stránku';
+$lang['ap_show_home'] = 'Zobrazit "zpět domů" na stránkách';
+$lang['ap_show_edit'] = 'Zobrazit link na editaci v blokovém menu';
+$lang['ap_perm'] = 'Aktivace správy autorizací:';
+$lang['ap_group_perm'] = 'podle skupin';
+$lang['ap_user_perm'] = 'podle typů uživatelů';
+$lang['ap_parse_bbcode'] = 'Převést stránky psané pomocí BBCode';
+$lang['ap_convert_bbcode_ok'] = 'Převod proběhl v pořádku.';
+
+?>