Index: /extensions/GMaps/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/GMaps/language/en_UK/plugin.lang.php	(revision 7139)
+++ /extensions/GMaps/language/en_UK/plugin.lang.php	(revision 7140)
@@ -1,5 +1,151 @@
 <?php
 
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before']="To install this plugin, you first need to install plugin Grum Plugin Classes %s";
+$lang['To install this plugin, you need to install Advanced Metadata %s before']="To install this plugin, you first need to install plugin Advanced Metadata %s";
+$lang['gmaps_amd_warning_inactive']="Warning ! <br><br>Plugin Advanced Metadata %s does not appear to be installed/activated: maps can't be displayed until it is installed and activated.";
+$lang['gmaps_amd_warning_basic']="Warning! <br><br> Plugin Advanced Metadata operates in 'basic' mode: maps linked to the categories can't be displayed with this mode.";
+$lang['gmaps_warning']='Warning';
+
+$lang['gmaps_release']='r';
+
 $lang['gmaps_geolocation'] = 'Geolocation';
+$lang['gmaps_maps'] = 'Maps';
+$lang['gmaps_map'] = 'Map';
+$lang['gmaps_associate_category_maps'] = 'Maps association';
+$lang['gmaps_search'] = 'Search';
+$lang['gmaps_kml_files_management'] = 'KML/KMZ files management';
+
+$lang['gmaps_maps_management']='Maps management';
+
+$lang['gmaps_y'] = "Yes";
+$lang['gmaps_n'] = "No";
+$lang['gmaps_ok'] = "Ok";
+$lang['gmaps_cancel'] = "Cancel";
+$lang['gmaps_edit'] = "Edit";
+$lang['gmaps_delete'] = "Delete";
+$lang['gmaps_loading'] = "Loading...";
+
+$lang['gmaps_config_map']="Setting a map";
+$lang['gmaps_pleaseConfirmMetadataDelete_1']="Map and all the associations which depend will be deleted.";
+$lang['gmaps_pleaseConfirmMetadataDelete_2']="Please confirm deleting it.";
+$lang['gmaps_pleaseConfirmKml_1']="The KML/KMZ file will be deleted and all references to it will be reset.";
+$lang['gmaps_pleaseConfirmKml_2']="Please confirm deleting it.";
+$lang['gmaps_pleaseConfirmKml']="Please confirm deleting it.";
+$lang['gmaps_deleteMap']="Delete a map";
+$lang['gmaps_add_a_new_map']="Add a map";
+$lang['gmaps_deleteKml']="Delete KML/KMZ file";
+$lang['gmaps_add_a_new_kmlFile']="Add a KML/KMZ file";
+
+$lang['gmaps_name']="Name";
+$lang['gmaps_dimensions']="Dimensions";
+$lang['gmaps_zoomLevel']="Zoom level";
+$lang['gmaps_mapType']="Map type";
+$lang['gmaps_width']="Width";
+$lang['gmaps_height']="Height";
+$lang['gmaps_auto']="Automatic";
+$lang['gmaps_displayType']="Display type";
+
+$lang['gmaps_displayTypeShortIC']="Category (lightbox)";
+$lang['gmaps_displayTypeShortIP']="Photo (lightbox)";
+$lang['gmaps_displayTypeShortMP']="Photo (metadata)";
+$lang['gmaps_displayTypeIC']="To be displayed on the page of a category (lightbox)";
+$lang['gmaps_displayTypeIP']="To be displayed on the page of a photo (lightbox)";
+$lang['gmaps_displayTypeMP']="To be displayed on the page of a photo (as a metadata)";
+
+$lang['gmaps_map_dimensions_are']="Map size is :";
+$lang['gmaps_interface_dimensions_f']="Fixed";
+$lang['gmaps_interface_dimensions_a']="Adjust to the size of the window";
+
+
+$lang['gmaps_googleMapType_hybrid']="Hybrid"; //here, please use google terms
+$lang['gmaps_googleMapType_terrain']="Terrain"; //here, please use google terms
+$lang['gmaps_googleMapType_roadmap']="Roadmap"; //here, please use google terms
+$lang['gmaps_googleMapType_satellite']="Satellite"; //here, please use google terms
+$lang['gmaps_googleMapTypeControl']="Display control";
+$lang['gmaps_googleMapTypeControl_-1']="None";
+$lang['gmaps_googleMapTypeControl_0']="Automatic";
+$lang['gmaps_googleMapTypeControl_1']="Horizontal menu";
+$lang['gmaps_googleMapTypeControl_2']="Popup menu";
+$lang['gmaps_googleMapNavigationControl']="Zoom level control";
+$lang['gmaps_googleMapNavigationControl_-1']="None";
+$lang['gmaps_googleMapNavigationControl_0']="Automatic";
+$lang['gmaps_googleMapNavigationControl_1']="Small";
+$lang['gmaps_googleMapNavigationControl_2']="Android";
+$lang['gmaps_googleMapNavigationControl_3']="Large";
+
+$lang['gmaps_googleMapScaleControl']="Scale";
+$lang['gmaps_display_hidden']="Hidden";
+$lang['gmaps_display_visible']="Visible";
+
+$lang['gmaps_properties_general']="Properties";
+$lang['gmaps_properties_mapType']="Display management";
+$lang['gmaps_properties_zoomLevel']="Zoom management";
+
+$lang['gmaps_add_a_new_association']="Add new association";
+$lang['gmaps_category']="Category";
+$lang['gmaps_picture']="Photo";
+$lang['gmaps_nb_pictures']="%s photos";
+$lang['gmaps_1_picture']="1 photo";
+$lang['gmaps_0_picture']="There are no photos in this geographic area";
+$lang['gmaps_apply_subcat']="Apply to sub-categories";
+$lang['gmaps_map_id']="Map";
+$lang['gmaps_map_kmlfile']="KML/KMZ file";
+$lang['gmaps_map_icon']="Icon";
+$lang['gmaps_map_associate_kmlfile']="Associate a KML/KMZ file";
+
+$lang['gmaps_map_integration']="Integration into the gallery";
+$lang['gmaps_map_assoc']="Properties";
+
+$lang['gmaps_manage_assoc']="Gestion d\\'une association";
+$lang['gmaps_deleteAssoc']="Delete an association";
+
+
+$lang['gmaps_applyForAllTheGallery']="All the gallery";
+$lang['gmaps_only_one_map_is_allowed_for_this_mode']="Settings already exists for this association";
+$lang['gmaps_view_map']="Locate the photo on a map";
+$lang['gmaps_map_title']="Title";
+
+
+
+$lang['gmaps_i_boundmap']="Adjust the size of the map to see all items";
+$lang['gmaps_i_boundkml']="Adjust the size of the map to see full track";
+$lang['gmaps_i_centermap']="Center map";
+$lang['gmaps_i_show_this_picture_in']="Show this photo in category:";
+
+$lang['gmaps_north']="North";
+$lang['gmaps_south']="South";
+$lang['gmaps_east']="East";
+$lang['gmaps_west']="West";
+$lang['gmaps_add_geographic_area']="Add a geographical area";
+$lang['gmaps_choose_geographic_area']="Select the geographical area";
+$lang['gmaps_search_by_geographic_area']="Search by region";
+$lang['gmaps_geographic_coords_between']="Geographical coordinates are between:";
+$lang['gmaps_of_lat']="for latitude";
+$lang['gmaps_of_lng']="for longitude";
+$lang['gmaps_and']="and";
+
+
+$lang['gmaps_kml_file_management']="Management of a KML/KMZ file";
+$lang['gmaps_kml_files_management']="Management of KML/KMZ files";
+$lang['gmaps_file']="File";
+$lang['gmaps_date']="Date";
+$lang['gmaps_file_size']="File size";
+$lang['gmaps_nb_assoc']="Assignments";
+$lang['gmaps_file_required']="Selecting a file is required!";
+$lang['gmaps_file_is_not_kml_kmz']="The file extension is invalid! Only KML and KMZ files are accepted.";
+
+$lang['gmaps_error_code_aksf01']="An unknown error has occurred ... :-/";
+$lang['gmaps_error_code_aksf02']="An error occurred when saving file";
+$lang['gmaps_error_code_aksf10']="A file with the same name is already used";
+$lang['gmaps_action_was_stopped']="The action was interrupted for the following reason:";
+
+$lang['gmaps_kml_file_selected']="Select among the managed files";
+$lang['gmaps_kml_file_url']="Entering an URL";
+$lang['gmaps_kml_file_none']="None";
+
+$lang['gmaps_kml_file_access']="To be displayed on a map, the KML/KMZ files need to be accessible by Google's servers.";
+$lang['gmaps_icon_info']="If the theme already have an icon with the same dimensions as the one selected, it will be applied first.";
+
+$lang['gmaps_map_marker']="Aspect of marker";
 
 ?>