Index: /extensions/GrumPluginClasses/classes/GPCTabSheet.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/classes/GPCTabSheet.class.inc.php	(revision 7141)
+++ /extensions/GrumPluginClasses/classes/GPCTabSheet.class.inc.php	(revision 7142)
@@ -2,7 +2,7 @@
 /* -----------------------------------------------------------------------------
   class name     : GPCTabSheet
-  class version  : 1.1.0
-  plugin version : 3.2.0
-  date           : 2010-06-20
+  class version  : 1.1.1
+  plugin version : 3.2.1
+  date           : 2010-10-01
   ------------------------------------------------------------------------------
   author: grum at piwigo.org
@@ -17,4 +17,5 @@
 | 1.1.0   | 2010/06/20 | * add possibility to manage the class names for tabs
 |         |            |
+| 1.1.1   | 2010/10/01 | * add attribute 'id' for tabs (<li> items)
 |         |            |
 |         |            |
Index: /extensions/GrumPluginClasses/css/gpc.css
===================================================================
--- /extensions/GrumPluginClasses/css/gpc.css	(revision 7141)
+++ /extensions/GrumPluginClasses/css/gpc.css	(revision 7142)
@@ -1,3 +1,3 @@
-.formtable, .formtable P { text-align:justify; display:block; }
+.formtable, .formtable P { text-align:justify; display:block; margin-left:0px; }
 .formtable tr { vertical-align:top; }
 .littlefont { font-size:90%; }
@@ -41,5 +41,5 @@
 display:table;
 font-family:verdana,arial,helvetica,sans-serif; font-size:8px;
-list-style-image:none; padding: 0 0 0 10px; position:relative; text-decoration:none;
+list-style:none; padding: 0 0 0 10px; position:relative; text-decoration:none;
 white-space:nowrap; margin: 0 0 0 -6px;top:-21px;border-bottom:1px solid;
 width:100%;
Index: /extensions/GrumPluginClasses/js/criteriaBuilder.js
===================================================================
--- /extensions/GrumPluginClasses/js/criteriaBuilder.js	(revision 7141)
+++ /extensions/GrumPluginClasses/js/criteriaBuilder.js	(revision 7142)
@@ -226,5 +226,5 @@
     counters.group++;
 
-    content="<li id='"+itemsId.group+counters.group+"' class='cbGroup cbSortable cbOpAND "+options.classGroup+"'>";
+    var content="<li id='"+itemsId.group+counters.group+"' class='cbGroup cbSortable cbOpAND "+options.classGroup+"'>";
     content+="<ul></ul></li>";
 
@@ -264,5 +264,5 @@
     counters.item++;
 
-    content="<li id='"+itemsId.item+counters.item+"' class='cbItem cbSortable "+options.classItem+"'>";
+    var content="<li id='"+itemsId.item+counters.item+"' class='cbItem cbSortable "+options.classItem+"'>";
     content+="<div class='cbItemButtons' style='float:right;'>";
 
Index: /extensions/GrumPluginClasses/js/pagesNavigator.js
===================================================================
--- /extensions/GrumPluginClasses/js/pagesNavigator.js	(revision 7141)
+++ /extensions/GrumPluginClasses/js/pagesNavigator.js	(revision 7142)
@@ -154,9 +154,9 @@
     if( (re.exec(options.hideMode)==null)==false && pages.num==1)
     {
-      $('#'+itemsId.container).html(content);
+      $('#'+itemsId.container).html('');
       return('');
     }
 
-    content="<ul id='"+container+"PageNavigator'>";
+    var content="<ul id='"+container+"PageNavigator'>";
 
     styleLI=" list-style:none;float:left; ";
Index: /extensions/GrumPluginClasses/main.inc.php
===================================================================
--- /extensions/GrumPluginClasses/main.inc.php	(revision 7141)
+++ /extensions/GrumPluginClasses/main.inc.php	(revision 7142)
@@ -60,6 +60,8 @@
 |         |            |   - result can be stored in the caddie
 |         |            |
+| 3.2.1   | 2010/10/09 | * Enhance GPCTabSheet functionnalities
+|         |            |   - add 'id' attribute for tabs (<li> items)
 |         |            |
-|         |            |
+|         |            | * Fix JS & CSS bug with IE8
 |         |            |
 |         |            |
Index: /extensions/GrumPluginClasses/templates/GPCTabSheet.tpl
===================================================================
--- /extensions/GrumPluginClasses/templates/GPCTabSheet.tpl	(revision 7141)
+++ /extensions/GrumPluginClasses/templates/GPCTabSheet.tpl	(revision 7142)
@@ -2,5 +2,5 @@
 <ul {if isset($tabsheet_classes)}class="{$tabsheet_classes}"{/if} {if isset($tabsheet_id)}id="{$tabsheet_id}"{/if} >
 {foreach from=$tabsheet key=name item=sheet name=tabs}
-  <li class="{$tab_classes.normal} {if ($name == $tabsheet_selected)}{$tab_classes.selected}{else}{$tab_classes.unselected}{/if}">
+  <li {if isset($tabsheet_id)}id="{$tabsheet_id}{$name}"{/if} class="{$tab_classes.normal} {if ($name == $tabsheet_selected)}{$tab_classes.selected}{else}{$tab_classes.unselected}{/if}">
     <a {if $sheet.url!=''}href="{$sheet.url}"{/if} {if $sheet.onClick!=''}onclick="{$sheet.onClick}"{/if} ><span>{$sheet.caption}</span></a>
   </li>