Index: extensions/albums/language/cs_CZ/description.txt
===================================================================
--- extensions/albums/language/cs_CZ/description.txt	(revision 7145)
+++ extensions/albums/language/cs_CZ/description.txt	(revision 7145)
@@ -0,0 +1,1 @@
+Přejmenuje "kategorii" na "album"
Index: extensions/albums/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/albums/language/cs_CZ/plugin.lang.php	(revision 7145)
+++ extensions/albums/language/cs_CZ/plugin.lang.php	(revision 7145)
@@ -0,0 +1,90 @@
+<?php
+$lang['%d category including'] = '%d album';
+$lang['%d categories including'] = '%d alb';
+$lang['%d category moved'] = '%d album přesunuto';
+$lang['%d categories moved'] = '%d alb přesunuto';
+$lang['Apply to subcategories'] = 'Použít na subalba';
+$lang['Association to categories'] = 'Asociovat s alby';
+$lang['Categories authorized thanks to group associations'] = 'Alba autorizována díky skupinovému sloučení';
+$lang['Categories manual order was saved'] = 'Alba s ručním vyběrem byla uložena';
+$lang['Category elements associated to the following categories: %s'] = 'Fotky alb přiřazeny k následujícím albům: %s';
+$lang['Link all category elements to a new category'] = 'Napojí všechny fotky do nového alba';
+$lang['Link all category elements to some existing categories'] = 'Napojí všechny fotky na existující alba';
+$lang['Linked categories'] = 'Propojená alba';
+$lang['Manage permissions for a category'] = 'Editace oprávnění pro dané album';
+$lang['Move categories'] = 'Přesun alb';
+$lang['New parent category'] = 'Nové hlavní album';
+$lang['Only private categories are listed'] = 'Pouze soukromá alba jsou uvedena';
+$lang['Other private categories'] = 'Ostatní soukromá alba';
+$lang['Parent category'] = 'Hlavní album';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Permalink %s byl dříve používán albem %s. Nejprve ho vymažte z historie permalinků';
+$lang['Permalink %s is already used by category %s'] = 'Permalink %s již používá album %s';
+$lang['Representation of categories'] = 'Alba reprezentace';
+$lang['Select at least one category'] = 'Vyberte alespoň jedno album';
+$lang['Storage category'] = 'Uložené album';
+$lang['Virtual categories movement'] = 'Virtuální přesun alb';
+$lang['Virtual categories to move'] = 'Virtuální alba k přesunu';
+$lang['Virtual category name'] = 'Název virtuálního alba';
+$lang['You cannot move a category in its own sub category'] = 'Nemůžete přesunout album do jeho vlastního sub alba';
+$lang['associate to category'] = 'přiřadit k album';
+$lang['Add a virtual category'] = 'Přidat virtuální album';
+$lang['Authorize users to add comments on selected categories'] = 'Povolit uživatelům přidávat komentáře k vybraným albám';
+$lang['The name of a category should not be empty'] = 'Název alba nesmí být prázdný';
+$lang['Lock categories'] = 'Zamknout alba';
+$lang['Private category'] = 'Privátní album';
+$lang['Public category'] = 'Veřejné album';
+$lang['Manage authorizations for selected categories'] = 'Nastavit oprávnění pro vybraná alba';
+$lang['Select uploadable categories'] = 'Vyber uploadovatelná alba';
+$lang['Virtual category added'] = 'Virtuální album přidáno';
+$lang['Virtual category deleted'] = 'Virtuální album odstraněno';
+$lang['Category'] = 'Album';
+$lang['delete category'] = 'smazat album';
+$lang['dissociate from category'] = 'oddělit od album';
+$lang['edit category permissions'] = 'editace oprávnění album';
+$lang['Category informations updated successfully.'] = 'Informace o album uloženy.';
+$lang['jump to category'] = 'přejít na album';
+$lang['manage category elements'] = 'Spravuj fotky alba';
+$lang['manage sub-categories'] = 'Správa sub-alb';
+$lang['sub-categories'] = 'sub-alba';
+$lang['Categories management'] = 'Správa alb';
+$lang['Edit a category'] = 'Edituj album';
+$lang['Update categories informations'] = 'Aktualizuj informace alb';
+$lang['reduce to single existing categories'] = 'zredukuj na stávající alba';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'zobrazit maximum informací (přidaná alba a elementy, odstraněná alba a elementy)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'obrázek typově vyžaduje náhled(thumbnail). Náhled musí být přítomen v pod-složce \'thumbnail\' ve složce daného alba. Název souboru náhledu musí začínat s nastaveným thumbnail prefixem a koncovka podle následujícího seznamu:';
+$lang['categories deleted in the database'] = 'alba odstraněna v databázi';
+$lang['categories added in the database'] = 'alba vložena do databáze';
+$lang['Virtual category'] = 'Virtuální album';
+$lang['Files with same name in more than one physical category'] = 'Identické názvy souborů ve více než jednom fyzickém albu';
+$lang['[%s] Come to visit the category %s'] = '[%s] Navštivte album %s';
+$lang['Come to discover the category:'] = 'Objevit album:';
+$lang['edit category informations'] = 'editovat info o tomto albu';
+$lang['No element in this category'] = 'Žádný element v tomto albu';
+$lang['Drop into category'] = 'Dát do alba';
+$lang['existing category'] = 'existující album';
+$lang['create a new category'] = 'vytvořit nové album';
+$lang['Category name'] = 'Název alba';
+$lang['Category \'%s\' has been added'] = 'Album \'%s\' přidáno ';
+$lang['Category \'%s\' now contains %d photos'] = 'Album \'%s\' obsahuje %d fotek';
+$lang['Categories ordered alphanumerically'] = 'Řazení alb alfanumericky';
+$lang['Categories ordered alphanumerically reverse'] = 'Alba řazena alfanumericky opačně';
+$lang['%d category updated'] = '%d album aktualizováno';
+$lang['%d categories updated'] = '%d alba aktualizovány';
+$lang['Categories'] = 'Alba';
+$lang['Category'] = 'Album';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'RSS zdroj obsahuje upozornění na nové události z tohoto webu: nové fotky, aktualizované galerie, nové komentáře. K použití se čtečkami RSS kanálů.';
+$lang['Expand all categories'] = 'Rozbalit všechny alba';
+$lang['shows images at the root of this category'] = 'zobrazí fotky v rootu tohoto alba';
+$lang['in this category'] = 'v tomto albu';
+$lang['in %d sub-category'] = 'v %d sub-albu';
+$lang['in %d sub-categories'] = 'v %d sub-albech';
+$lang['display all elements in all sub-categories'] = 'zobrazit všechny prvky ve všech albech a sub-albech';
+$lang['Recent categories'] = 'Poslední alba';
+$lang['display recently updated categories'] = 'zobraz poslední aktualizovaná alba';
+$lang['Search in Categories'] = 'Hledat v albech';
+$lang['Search in subcategories'] = 'Hledat v sub-albech';
+$lang['set as category representative'] = 'nastavit jako zástupce alba';
+$lang['Category: %s'] = 'Album: %s';
+$lang['Category results for'] = 'Alba výsledky pro';
+$lang['All sub-categories of private categories become private'] = 'Všechny sub-alba privátních alb zůstanou privatní';
+?>